Package org.eclipse.emf.cdo.common.model

## Class CDOClassifierRef

- java.lang.Object
- - org.eclipse.emf.cdo.common.model.CDOClassifierRef

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class CDOClassifierRef
      extends java.lang.Object
      implements java.io.Serializable

  References an `EClassifier`.
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CDOClassifierRef.Provider` | Provides `classifier references`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `URI_SEPARATOR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOClassifierRef()` |
    `CDOClassifierRef​(java.lang.String uri)` |
    `CDOClassifierRef​(java.lang.String packageURI, java.lang.String classifierName)` |
    `CDOClassifierRef​(CDODataInput in)` |
    `CDOClassifierRef​(EClassifier classifier)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getClassifierName()` |
    `java.lang.String` | `getPackageURI()` |
    `java.lang.String` | `getURI()` |
    `int` | `hashCode()` |
    `EClassifier` | `resolve​(EPackage.Registry packageRegistry)` |
    `java.lang.String` | `toString()` |
    `void` | `write​(CDODataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### URI_SEPARATOR

          public static final java.lang.String URI_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CDOClassifierRef

          public CDOClassifierRef()

    - #### CDOClassifierRef

          public CDOClassifierRef​(EClassifier classifier)

    - #### CDOClassifierRef

          public CDOClassifierRef​(java.lang.String packageURI,
                                  java.lang.String classifierName)

    - #### CDOClassifierRef

          public CDOClassifierRef​(java.lang.String uri)

      Since:
        4.0

    - #### CDOClassifierRef

          public CDOClassifierRef​(CDODataInput in)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

  - ### Method Detail

    - #### write

          public void write​(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### getURI

          public java.lang.String getURI()

      Since:
        4.0

    - #### getPackageURI

          public java.lang.String getPackageURI()

    - #### getClassifierName

          public java.lang.String getClassifierName()

    - #### resolve

          public EClassifier resolve​(EPackage.Registry packageRegistry)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`